.albero {
  padding-left: 0;
}
.albero * {
  list-style-type: none;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -o-transition: 0.5s;
  transition: 0.5s;
}
.albero span {
  line-height: 1;
  margin-left: 3px;
}
.albero i {
  cursor: pointer;
  font-size: 1em;
}
.albero input {
  font-size: inherit;
  line-height: inherit;
  margin-left: 3px;
  border: 0;
  padding: 0;
  border-bottom: 1px solid black;
  outline: none;
  width: 2em;
  text-align: right;
}
.albero i.focus,
.albero div.focus > i {
  transform: rotate(90deg);
  color: #018f01;
}
.albero li > ul > * {
  display: none;
  height: 0;
  transition: 1s;
}
.albero .focus ~ ul > * {
  display: block;
  height: 100%;
}
.albero div.bloccoIcone {
  display: flex;
  align-items: center;
  padding: 0;
}
.albero div.bloccoIcone > div {
  display: flex;
  flex-direction: column;
}
.albero div.bloccoIcone > div {
  border-left: 1px dotted black;
}
.albero div.bloccoIcone > div * {
  height: 8.2px;
  width: 5px;
}
.albero div.bloccoIcone > div > div:first-child {
  border-bottom: 1px dotted black;
}
.albero i.glyphicon-remove-circle {
  opacity: 0;
  visibility: hidden;
  margin-left: -14px;
}
@keyframes effettoApertura {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}
.albero i.noFocus,
.albero div.noFocus > i.glyphicon-play-circle {
  opacity: 0;
  visibility: hidden;
}
.albero i.noFocus ~ i.glyphicon-remove-circle,
.albero div.noFocus > i.glyphicon-remove-circle {
  color: #ff0000;
  opacity: 1;
  visibility: visible;
}

/* common/base.less
 * Base LESS file, defines overall
 * project CSS structure.
 */
/* colors.less
 * Defines basic colors.
 */
/*
@font-face {
  font-family: 'Roboto';
  src: url('../fonts/Roboto.woff2') format('woff2');
}
@font-face {
  font-family: 'Inconsolata';
  src: url('../fonts/Inconsolata.woff2') format('woff2');
}
*/
body {
  margin: 0;
  background-color: #f7f6f9;
}
.coolBox {
  background-color: #ffffff;
  border-left: solid 9px;
  border-right: solid 9px;
  border-top: solid 9px;
  border-bottom: solid 9px;
  border-color: #ffffff;
  /* margin-left: 39px; */
  box-shadow: 0px 0px 2.5px 2px #bfbfbf;
  border-radius: 6px;
}
.coolBox-ed {
  background-color: #ffffff;
  border-left: solid 9px;
  border-right: solid 9px;
  padding-top: 12px;
  border-color: #ffffff;
  /* margin-left: 39px; */
  box-shadow: 0px 0px 2.5px 2px #bfbfbf;
  border-radius: 6px;
}
@media (min-width: 1200px) {
  .container {
    width: 93%;
  }
}
.margin-top-content {
  margin-top: 51px;
  /*100px;*/
}
.width-100 {
  width: 100%;
}
.width-70 {
  width: 50%;
}
.margin-top-05em {
  margin-top: 0.5em;
}
.margin-top-1em {
  margin-top: 1em;
}
.margin-top-2em {
  margin-top: 2em;
}
.margin-top-3em {
  margin-top: 3em;
}
.margin-top-4em {
  margin-top: 4em;
}
.margin-top-6em {
  margin-top: 6em;
}
.margin-left-02em {
  margin-left: 0.2em;
}
.margin-left-1em {
  margin-left: 1em;
}
.margin-left-2em {
  margin-left: 2em;
}
.margin-right-1em {
  margin-right: 1em;
}
.margin-right-2em {
  margin-right: 2em;
}
.margin-left-4em {
  margin-left: 4em;
}
.margin-left-6em {
  margin-left: 6em;
}
.margin-bottom-05em {
  margin-bottom: 0.5em;
}
.margin-bottom-08em {
  margin-bottom: 0.8em;
}
.margin-bottom-1em {
  margin-bottom: 1em;
}
.margin-bottom-2em {
  margin-bottom: 2em;
}
.margin-bottom-3em {
  margin-bottom: 3em;
}
.margin-bottom-4em {
  margin-bottom: 4em;
}
.margin-horizontal-0 {
  margin-left: 0;
  margin-right: 0;
}
.margin-horizontal-05em {
  margin-left: 0.5em;
  margin-right: 0.5em;
}
.margin-horizontal-1em {
  margin-left: 1em;
  margin-right: 1em;
}
.padding-top-05em {
  padding-top: 0.5em;
}
.padding-top-1em {
  padding-top: 1em;
}
.padding-bottom-1em {
  padding-bottom: 1em;
}
.padding-right-1em {
  padding-right: 1em;
}
.padding-left-1em {
  padding-left: 1em;
}
.padding-1em {
  padding: 1em;
}
.float-right {
  float: right;
}
.strikethrough {
  text-decoration: line-through;
}
.width-7em {
  width: 7em;
}
.width-10em {
  width: 10em;
}
.width-11em {
  width: 11em;
}
.progress.active .progress-bar {
  -webkit-animation: reverse progress-bar-stripes 2s linear infinite;
  -moz-animation: reverse progress-bar-stripes 2s linear infinite;
  -ms-animation: reverse progress-bar-stripes 2s linear infinite;
  -o-animation: reverse progress-bar-stripes 2s linear infinite;
  animation: reverse progress-bar-stripes 2s linear infinite;
}
.alert-text {
  color: #FF0000;
  font-weight: bold;
}
.long-table-line {
  overflow: hidden;
  -webkit-line-clamp: 5;
  -moz-line-clamp: 5;
  display: -webkit-box;
  display: -moz-box;
  -webkit-box-orient: vertical;
  -moz-box-orient: vertical;
}
.show-just-one-line {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
/*.just-one-line {
    overflow: visible;
    white-space: nowrap;
    text-overflow: ellipsis;
}*/
.just-one-line {
  text-overflow: ellipsis;
  cursor: pointer;
  word-break: normal;
  overflow: hidden;
  white-space: nowrap;
}
.just-one-line:focus,
.just-one-line:hover {
  white-space: normal;
  height: auto;
}
.btn-salva-note {
  z-index: 1000;
}
.multi_lines_text {
  white-space: pre-line;
}
.text10PercentMore {
  font-size: 110%;
}
.boldText {
  font-weight: bold;
}
.halfFontSize {
  font-size: 50%;
}
.progressBarText {
  text-overflow: ellipsis !important;
  overflow: hidden !important;
  white-space: nowrap !important;
  padding-left: 0% !important;
  padding-right: 0% !important;
}
.hr-stretto {
  margin-top: 5px;
  margin-bottom: 10px;
}
.min-heigth-10em {
  min-height: 10em;
}
.min-heigth-20em {
  min-height: 20em;
}
.min-heigth-30em {
  min-height: 30em;
}
.min-heigth-40em {
  min-height: 40em;
}
.min-heigth-50em {
  min-height: 50em;
}
.testo-bianco {
  color: white !important;
}
.col-12 {
  width: 100% !important;
}
.col-6 {
  width: 50% !important;
  float: left;
}
.col-4 {
  width: 25% !important;
}
.form-check-inline {
  display: inline-block;
  margin-right: 1rem;
}
.invalid-feedback-custom {
  margin-bottom: 2rem;
}
.invalid-feedback-custom-inner {
  overflow-x: visible;
  position: absolute;
}

.selezionato-tabella-filtro-sa {
  background-color: #337ab7;
  color: #ffffff;
}
.albero_filtraggio_tr {
  cursor: pointer;
  display: inline-block;
  /*float: left;*/
  border: 1px solid #dddddd;
  vertical-align: top;
}
.albero_filtraggio_td {
  border: none;
  display: block;
}
.padding6 {
  padding-right: 6px;
  padding-left: 6px;
}
.hover-color :hover {
  background-color: #c2dbf1;
}
.table_nodo {
  width: 100%;
}
.align-end {
  text-align: end;
}
.wrap {
  white-space: nowrap;
}
.background-none {
  background: none !important;
}
.scroll-250max {
  overflow: auto;
  max-height: 250px;
}

/* colors.less
 * Defines basic colors.
 */
#toast-container {
  z-index: 2000000100;
  margin-top: 4em;
}
.tab-custom ul {
  float: left;
}
.tab-custom ul li {
  background-color: #393c7c;
}
.tab-custom ul li a {
  color: #4d4d4d;
  border-radius: 0;
  margin-right: 4px;
}
.tab-custom ul li a:hover {
  color: #393c7c;
}
.tab-custom ul li:hover {
  background-color: #9d9d9d;
}
.tab-custom ul li:active {
  background-color: rgba(51, 122, 183, 0.1);
}
.tab-custom li.active > a,
.tab-custom .nav-tabs > li.active > a:hover,
.tab-custom .nav-tabs > li.active > a:focus {
  color: #000000;
  cursor: default;
  background-color: rgba(51, 122, 183, 0.1);
  border: solid 0.5px #1B2E66;
  margin-bottom: 0px;
  margin-right: 0px;
}
.tab-custom .tab-content {
  padding-left: 9em;
  padding-top: 0.8em;
}
.table-hover {
  cursor: pointer;
}
.progress {
  margin-bottom: 10px;
}
a {
  color: #000000;
  cursor: pointer;
}
.table-striped > tbody > tr:nth-of-type(odd) {
  background-color: #f2f7ff;
}
.table > thead > tr > td > input-custom > input {
  width: 100%;
}
.order-tab {
  background-color: #f8f8f8;
  border: 1px solid #ccc;
  border-bottom-color: transparent;
}
.modal-auto {
  position: absolute;
  left: 50%;
  transform: translate(-50%, -50%);
}
.panel-heading {
  padding: 0.3em !important;
}
.jenkins-monitor {
  position: absolute;
  top: 80%;
  right: 5%;
}
.spinner:before {
  border-radius: 6px;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  position: fixed;
  content: " ";
}
.row.vertical-divider > div[class^="col-"] {
  border-right: 1px solid gray;
}
.row.vertical-divider div[class^="col-"]:first-child {
  border-left: none;
}
.row.vertical-divider div[class^="col-"]:last-child {
  border-right: none;
}
@media (max-width: 768px) {
  .row.vertical-divider > div[class^="col-"] {
    border-right: none;
  }
}
.btn-palla {
  border-radius: 50%;
  width: 20px;
  height: 20px;
  display: flex;
  padding: 5px;
  font-size: 0.5em;
  outline: none !important;
  transition: 0.30s;
}
.btn-palla > * {
  margin: auto;
}
.btn-palla-lg {
  width: 50px;
  height: 50px;
  font-size: 0.8em;
}
.btn-grigio {
  background-color: rgba(246, 235, 235, 0.8);
  border: 1px solid #a5a5a5;
  transition: 0.30s;
}
.btn-grigio-scuro {
  background-color: #9d9d9d;
  border: 1px solid #9d9d9d;
  transition: 0.30s;
}
.btn-indietro-globale {
  position: absolute !important;
  left: 50px;
  top: 5px;
}
.btn-palla:hover {
  border-radius: 45% !important;
}
.btn-sfondo-wallpaper {
  background: rgba(246, 235, 235, 0.8) url("../img/background.jpg") no-repeat center;
  font-weight: bold;
}
.btn-width-sm {
  width: 170px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.btn-width-md {
  width: 300px;
}
.btn-width-lg {
  width: 550px;
}
hr.scuro {
  border: 0;
  border-bottom: 1px solid #0000003d;
}
hr.stretto {
  margin: 10px 0 10px 0;
}
hr.molto-stretto {
  margin: 0;
}
.bordoDestro {
  border-right: 1px solid #eee;
}
.bordoDestroScuro {
  border-right: 1px solid #0000003d;
}
.bordoSinistroScuro {
  border-left: 1px solid #0000003d;
}
.bordoAltoScuro {
  border-top: 1px solid #0000003d;
}
.bordoBassoScuro {
  border-bottom: 1px solid #0000003d;
}
.bordoRosso {
  border: 1px solid #910903;
  box-shadow: 0.1px 0.3px 10px -0.9px #bb0903;
}
.sfondoImmagine {
  background: rgba(246, 235, 235, 0.8) url("../img/navbar.jpg") repeat right top;
  border: 0;
}
.sfondoTrasparente {
  background-color: rgba(246, 235, 235, 0.8);
}
.sfondoImmagine-no-padding {
  padding: 0 0 0 0 !important;
}
.sfondoImmagine-no-padding > .sfondoTrasparente-aggiungi-padding {
  padding: 60px;
}
.btn-siono {
  /*margin-left: -1em;*/
  display: flex;
  /*justify-content: flex-end;*/
  justify-content: center;
}
.btn-siono button {
  outline: none;
}
.btn-siono-sinistra {
  justify-content: flex-start !important;
}
.btn-siono-centrato {
  justify-content: center;
}
.btn-siono-colonnaSceltazione > label {
  font-size: 0.875rem;
}
.btn-siono-colonnaSceltazione > * {
  margin: auto;
  justify-content: flex-start;
}
.btn-siono-eliminaWrap * {
  flex-wrap: nowrap !important;
}
.btn-sinoverofalso {
  padding: 1px 1px !important;
  font-family: monospace;
}
.logoApplicazione {
  filter: opacity(50%);
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: 15% auto auto auto;
}
.jumbotronBlock {
  height: 100% !important;
}
.modal-fade-class {
  z-index: 2000000010;
}
.modal-class {
  z-index: 2000000010;
  width: 80%;
}
.btn-acquisisciFile {
  height: 1.9rem;
  font-size: 0.7em;
}
.riduciHeaderTab a {
  padding: 0 0 3px 0 !important;
}
.ui-tab a {
  padding: 3px 3px !important;
}
.classeListaLookup {
  top: 19px;
  left: 3px;
  overflow: scroll;
  max-height: 300px;
  overflow-x: unset;
}
.active-row-lookup {
  color: #fff;
  text-decoration: none;
  background-color: #337ab7;
  outline: 0;
}
.lookup-table-container {
  /*padding: 5px;*/
  margin-top: 0px;
  border: none;
  overflow: auto;
  max-height: 33em;
  min-width: 30em;
  z-index: 1021 !important;
}
.table-lookup {
  overflow: hidden;
}
.table-lookup-extra {
  margin-bottom: 0;
  border: 0;
  border-collapse: separate;
  border-spacing: 0 8px;
}
.colorPikerSelezionato {
  border: 1px solid black;
  width: 18px;
  height: 18px;
  border-radius: 50%;
  margin-top: 1px;
}
.distanzaDestraBottoneCustom {
  margin-right: 3px;
}
.giro360 {
  transition: 1s;
}
.girato180 {
  transform: rotate(-180deg);
}
.marginCustomTop {
  margin-top: 3px;
}
marginCustomLeft {
  margin-left: 3px;
}
.tabellaSenzaMargini {
  margin: 0;
}
.colTabellato .inputCustomCfp {
  display: flex;
}
.colTabellato input {
  margin: auto;
}
.allineaBtnColConCampi {
  left: 4px;
}
.tooltipBianco .tooltip-inner {
  color: #fff !important;
}
div.btn-mod-selezionato .active {
  border: 4px solid #008000 !important;
}
div.btn-mod-selezionato-grigio .active {
  border: 4px solid #444444 !important;
}
.btn-custom {
  margin-right: 3px;
  margin-top: 3px;
}
.h4-dettaglio {
  margin: 0;
}
.rossoChiaro {
  background: rgba(255, 0, 0, 0.24);
}
.verdeChiaro {
  background: rgba(0, 128, 0, 0.24);
}
.bluChiaro {
  background: rgba(0, 0, 255, 0.24);
}
.gialloChiaro {
  background: rgba(255, 255, 0, 0.24);
}
.porporaChiaro {
  background: rgba(128, 0, 128, 0.24);
}
.arrotondaBordi {
  border-radius: 5px;
}
.emargina {
  margin: 5px;
}
.comprimi {
  padding: 5px;
}
.fontPiccolo {
  font-size: 0.9em;
}
.container-fluid {
  padding-right: 30px;
  padding-left: 30px;
  margin-right: auto;
  margin-left: auto;
}
.hr-stretto {
  margin-top: 0;
  margin-bottom: 5px;
}
.pagination {
  margin: 1px 0;
}
.btn {
  font-weight: bold;
  font-size: 16px;
}
.btn-same-width-200 {
  min-width: 200px !important;
  max-width: 200px !important;
}
.btn-allow-multilines {
  white-space: normal !important;
  word-break: break-word;
}
.dropdown-menu.dropdown-menu-wide {
  min-width: 100%;
  text-align: left;
  border-radius: 6px;
}
@media (min-width: 968px) {
  .modal-xl {
    width: 98%;
    max-width: 1400px;
  }
}
.vertical-tab-inte {
  width: 15%;
  float: left;
}
.vertical-tan-cont {
  width: 85%;
  float: right;
}
.fixed-tab {
  width: 100%;
}
.fullTab {
  width: 97%;
  margin-inline-start: auto;
}
.btnCollapse {
  background-color: #F4F6FC;
  border-radius: 5px 5px 5px 5px;
  border-color: #F4F6FC;
  color: #1B2E66;
  padding: 5px;
  margin-bottom: 8px;
}
.myCollapse {
  width: 2.5%;
}
.myTabCollapse > uib-tab > ul {
  background-color: #F4F6FC;
  font-size: 20px;
  border-radius: 5px 5px 5px 5px;
  border-color: #F4F6FC;
  color: #1B2E66;
  padding: 5px;
  margin-bottom: 8px;
}
.glyphicon-record:hover {
  background-color: #1B2E66;
  border-color: #1B2E66;
  color: #FAFAFC;
}
.glyphicon-chevron-left:hover {
  background-color: #1B2E66;
  border-color: #1B2E66;
  color: #FAFAFC;
}
.glyphicon-chevron-right:hover {
  background-color: #1B2E66;
  border-color: #1B2E66;
  color: #FAFAFC;
}
.nav-tabs2 > li > a {
  background-color: #F4F6FC;
  color: #1B2E66;
  cursor: default;
  padding: 2px 11px !important;
  font-size: 17px !important;
  margin-bottom: 12px;
  margin-right: 12px;
}
.nav-tabs2 > li.active > a {
  color: #FAFAFC;
  cursor: default;
  background-color: #1B2E66;
  border: 0;
  padding: 2px 11px !important;
  font-size: 17px !important;
  margin-bottom: 12px;
  margin-right: 12px;
}
.nav-tabs2 > li.active > a,
.nav-tabs2 > li.active > a:hover,
.nav-tabs2 > li.active > a:focus {
  color: #FAFAFC;
  cursor: default;
  background-color: #1B2E66;
  border: 0;
  padding: 2px 11px !important;
  font-size: 17px !important;
  margin-bottom: 12px;
  margin-right: 12px;
}
.tab-custom ul {
  float: left;
}
.tab-custom ul li {
  background-color: #393c7c;
}
.tab-custom ul li a {
  color: #4d4d4d;
  border-radius: 0;
  margin-right: 4px;
}
.tab-custom ul li a:hover {
  color: #393c7c;
}
.tab-custom ul li:hover {
  background-color: #9d9d9d;
}
.tab-custom ul li:active {
  background-color: rgba(51, 122, 183, 0.1);
}
.tab-custom li.active > a,
.tab-custom .nav-tabs2 > li.active > a:hover,
.tab-custom .nav-tabs2 > li.active > a:focus {
  color: #000000;
  cursor: default;
  background-color: rgba(51, 122, 183, 0.1);
  border: solid 0.5px #1B2E66;
  margin-bottom: 0px;
  margin-right: 0px;
}
.tab-custom .tab-content {
  padding-left: 9em;
  padding-top: 0.8em;
}
.nav-tabs3 > li > a {
  background-color: #F4F6FC;
  color: #1B2E66;
  cursor: default;
  padding: 2px 11px !important;
  margin-bottom: 12px;
  margin-right: 12px;
}
.nav-tabs3 > li.active > a {
  color: #FAFAFC;
  cursor: default;
  background-color: #1B2E66;
  border: 0;
  padding: 2px 11px !important;
  margin-bottom: 12px;
  margin-right: 12px;
}
.nav-tabs3 > li.active > a,
.nav-tabs3 > li.active > a:hover,
.nav-tabs3 > li.active > a:focus {
  color: #FAFAFC;
  cursor: default;
  background-color: #1B2E66;
  border: 0;
  padding: 2px 11px !important;
  margin-bottom: 12px;
  margin-right: 12px;
}
.tab-custom ul {
  float: left;
}
.tab-custom ul li {
  background-color: #393c7c;
}
.tab-custom ul li a {
  color: #4d4d4d;
  border-radius: 0;
  margin-right: 4px;
}
.tab-custom ul li a:hover {
  color: #393c7c;
}
.tab-custom ul li:hover {
  background-color: #9d9d9d;
}
.tab-custom ul li:active {
  background-color: rgba(51, 122, 183, 0.1);
}
.tab-custom li.active > a,
.tab-custom .nav-tabs3 > li.active > a:hover,
.tab-custom .nav-tabs3 > li.active > a:focus {
  color: #000000;
  cursor: default;
  background-color: rgba(51, 122, 183, 0.1);
  border: solid 0.5px #1B2E66;
  margin-bottom: 0px;
  margin-right: 0px;
}
.tab-custom .tab-content {
  padding-left: 9em;
  padding-top: 0.8em;
}
.newLogoApplicazioni {
  width: 330px;
  height: auto;
  position: absolute;
  display: block;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: 15% auto auto auto;
  transition: transform .2s;
}
.newLogoApplicazioni:hover {
  transform: scale(1.5);
}
.logAppNew {
  font-size: 30px;
}
.coolBackground {
  background-image: url("../img/background.jpg");
}
.stileConsulentiL {
  border-bottom: solid 1px rgba(38, 88, 128, 0.2);
  padding-bottom: 7px;
}
.stileConsulentiR {
  border-bottom: solid 1px rgba(38, 88, 128, 0.2);
  padding-bottom: 7px;
}
.stileConsulentiVerL {
  border-right: solid 1px rgba(38, 88, 128, 0.2);
  padding-right: 15px;
}
.stileConsulentiVerR {
  border-left: solid 1px rgba(38, 88, 128, 0.2);
  padding-left: 15px;
}
.nav-stacked {
  max-width: 15%;
  float: left;
}
.tooltipRelazioneN {
  white-space: nowrap;
}
.flex-row-reverse {
  flex-direction: row-reverse !important;
}
.input-fixedLabels {
  margin-top: 0 !important;
}
.symbolNearDURC {
  display: inline !important;
  position: relative !important;
  margin-left: 10px !important;
}
/* MARGIN */
/* ALL */
/* TOP */
.mt-1 {
  margin-top: 1em;
}
.mt-2 {
  margin-top: 2em;
}
/* BOTTOM */
.mb-1 {
  margin-bottom: 1em;
}
.mb-2 {
  margin-bottom: 2em;
}
/* PADDING */
/* ALL */
.p-0 {
  padding: 0px !important;
}
.padColInput {
  padding: 0px 23px;
}
/* WIDTH */
.w-100 {
  width: 100% !important;
}
/* FLEX */
.d-flex {
  display: -webkit-box !important;
  display: -ms-flexbox !important;
  display: flex !important;
}
.justify-content-start {
  -webkit-box-pack: start !important;
  -ms-flex-pack: start !important;
  justify-content: flex-start !important;
}
.align-items-end {
  -webkit-box-align: end !important;
  -ms-flex-align: end !important;
  align-items: flex-end !important;
}
/* TOASTR */
#toast-container .toastr {
  position: relative;
  overflow: hidden;
  margin: 0 0 6px;
  padding: 15px 15px 15px 50px;
  width: 300px;
  -moz-border-radius: 3px 3px 3px 3px;
  -webkit-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  background-position: 15px center;
  background-repeat: no-repeat;
  -moz-box-shadow: 0 0 12px #999999;
  -webkit-box-shadow: 0 0 12px #999999;
  box-shadow: 0 0 12px #999999;
  color: #FFFFFF;
  opacity: 0.8;
}
#toast-container .toastr:hover {
  -moz-box-shadow: 0 0 12px #000000;
  -webkit-box-shadow: 0 0 12px #000000;
  box-shadow: 0 0 12px #000000;
  opacity: 1;
  cursor: pointer;
}
#toast-container .toastr.toast-info {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGwSURBVEhLtZa9SgNBEMc9sUxxRcoUKSzSWIhXpFMhhYWFhaBg4yPYiWCXZxBLERsLRS3EQkEfwCKdjWJAwSKCgoKCcudv4O5YLrt7EzgXhiU3/4+b2ckmwVjJSpKkQ6wAi4gwhT+z3wRBcEz0yjSseUTrcRyfsHsXmD0AmbHOC9Ii8VImnuXBPglHpQ5wwSVM7sNnTG7Za4JwDdCjxyAiH3nyA2mtaTJufiDZ5dCaqlItILh1NHatfN5skvjx9Z38m69CgzuXmZgVrPIGE763Jx9qKsRozWYw6xOHdER+nn2KkO+Bb+UV5CBN6WC6QtBgbRVozrahAbmm6HtUsgtPC19tFdxXZYBOfkbmFJ1VaHA1VAHjd0pp70oTZzvR+EVrx2Ygfdsq6eu55BHYR8hlcki+n+kERUFG8BrA0BwjeAv2M8WLQBtcy+SD6fNsmnB3AlBLrgTtVW1c2QN4bVWLATaIS60J2Du5y1TiJgjSBvFVZgTmwCU+dAZFoPxGEEs8nyHC9Bwe2GvEJv2WXZb0vjdyFT4Cxk3e/kIqlOGoVLwwPevpYHT+00T+hWwXDf4AJAOUqWcDhbwAAAAASUVORK5CYII=") !important;
}
#toast-container .toastr.toast-error {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAHOSURBVEhLrZa/SgNBEMZzh0WKCClSCKaIYOED+AAKeQQLG8HWztLCImBrYadgIdY+gIKNYkBFSwu7CAoqCgkkoGBI/E28PdbLZmeDLgzZzcx83/zZ2SSXC1j9fr+I1Hq93g2yxH4iwM1vkoBWAdxCmpzTxfkN2RcyZNaHFIkSo10+8kgxkXIURV5HGxTmFuc75B2RfQkpxHG8aAgaAFa0tAHqYFfQ7Iwe2yhODk8+J4C7yAoRTWI3w/4klGRgR4lO7Rpn9+gvMyWp+uxFh8+H+ARlgN1nJuJuQAYvNkEnwGFck18Er4q3egEc/oO+mhLdKgRyhdNFiacC0rlOCbhNVz4H9FnAYgDBvU3QIioZlJFLJtsoHYRDfiZoUyIxqCtRpVlANq0EU4dApjrtgezPFad5S19Wgjkc0hNVnuF4HjVA6C7QrSIbylB+oZe3aHgBsqlNqKYH48jXyJKMuAbiyVJ8KzaB3eRc0pg9VwQ4niFryI68qiOi3AbjwdsfnAtk0bCjTLJKr6mrD9g8iq/S/B81hguOMlQTnVyG40wAcjnmgsCNESDrjme7wfftP4P7SP4N3CJZdvzoNyGq2c/HWOXJGsvVg+RA/k2MC/wN6I2YA2Pt8GkAAAAASUVORK5CYII=") !important;
}
#toast-container .toastr.toast-success {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAADsSURBVEhLY2AYBfQMgf///3P8+/evAIgvA/FsIF+BavYDDWMBGroaSMMBiE8VC7AZDrIFaMFnii3AZTjUgsUUWUDA8OdAH6iQbQEhw4HyGsPEcKBXBIC4ARhex4G4BsjmweU1soIFaGg/WtoFZRIZdEvIMhxkCCjXIVsATV6gFGACs4Rsw0EGgIIH3QJYJgHSARQZDrWAB+jawzgs+Q2UO49D7jnRSRGoEFRILcdmEMWGI0cm0JJ2QpYA1RDvcmzJEWhABhD/pqrL0S0CWuABKgnRki9lLseS7g2AlqwHWQSKH4oKLrILpRGhEQCw2LiRUIa4lwAAAABJRU5ErkJggg==") !important;
}
#toast-container .toastr.toast-warning {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGYSURBVEhL5ZSvTsNQFMbXZGICMYGYmJhAQIJAICYQPAACiSDB8AiICQQJT4CqQEwgJvYASAQCiZiYmJhAIBATCARJy+9rTsldd8sKu1M0+dLb057v6/lbq/2rK0mS/TRNj9cWNAKPYIJII7gIxCcQ51cvqID+GIEX8ASG4B1bK5gIZFeQfoJdEXOfgX4QAQg7kH2A65yQ87lyxb27sggkAzAuFhbbg1K2kgCkB1bVwyIR9m2L7PRPIhDUIXgGtyKw575yz3lTNs6X4JXnjV+LKM/m3MydnTbtOKIjtz6VhCBq4vSm3ncdrD2lk0VgUXSVKjVDJXJzijW1RQdsU7F77He8u68koNZTz8Oz5yGa6J3H3lZ0xYgXBK2QymlWWA+RWnYhskLBv2vmE+hBMCtbA7KX5drWyRT/2JsqZ2IvfB9Y4bWDNMFbJRFmC9E74SoS0CqulwjkC0+5bpcV1CZ8NMej4pjy0U+doDQsGyo1hzVJttIjhQ7GnBtRFN1UarUlH8F3xict+HY07rEzoUGPlWcjRFRr4/gChZgc3ZL2d8oAAAAASUVORK5CYII=") !important;
}
/*Responsive Design*/
@media all and (max-width: 240px) {
  #toast-container .toastr.div {
    padding: 8px 8px 8px 50px;
    width: 11em;
  }
}
@media all and (min-width: 241px) and (max-width: 480px) {
  #toast-container .toastr.div {
    padding: 8px 8px 8px 50px;
    width: 18em;
  }
}
@media all and (min-width: 481px) and (max-width: 768px) {
  #toast-container .toastr.div {
    padding: 15px 15px 15px 50px;
    width: 25em;
  }
}

/* colors.less
 * Defines basic colors.
 */
.datepicker {
  display: block;
  min-height: 290px;
  margin-left: auto;
  margin-right: auto;
  width: 279px;
}
.datepicker full button span {
  background-color: limegreen;
  border-radius: 32px;
  color: black;
}
.datepicker partially button span {
  background-color: orange;
  border-radius: 32px;
  color: black;
}

#sidebar_den {
  width: 450px;
  left: 0;
  z-index: 999;
  background: #233373;
  color: #fff;
  transition: all 0.3s;
  top: 55px;
  position: absolute;
  padding-left: 5px;
  padding-right: 5px;
}
#sidebar_den .close-button {
  margin-right: -33px;
  color: black;
}
.close-button {
  /*margin-right: 0px;*/
}
#sidebar_den.active {
  margin-left: -450px;
}
#sidebar_den .sidebar-header {
  padding: 20px;
  background: #6d7fcc;
}
#sidebar_den ul.components {
  padding: 20px 0;
  border-bottom: 1px solid #47748b;
}
#sidebar_den ul p {
  color: #fff;
  padding: 10px;
}
#sidebar_den ul li a {
  padding: 10px;
  font-size: 1.1em;
  display: block;
}
#sidebar_den ul li a:hover {
  color: #7386D5;
  background: #fff;
}
#sidebar_den ul li.active > a,
a[aria-expanded="true"] {
  color: #fff;
  background: #6d7fcc;
}
/*
a[data-toggle="collapse"] {
  position: relative;
}

a[aria-expanded="false"]::before, a[aria-expanded="true"]::before {
  content: '\e259';
  display: block;
  position: absolute;
  right: 20px;
  font-family: 'Glyphicons Halflings';
  font-size: 0.6em;
}

a[aria-expanded="true"]::before {
  content: '\e260';
}


ul ul a {
  font-size: 0.9em !important;
  padding-left: 30px !important;
  background: #6d7fcc;
}

ul.CTAs_den {
  padding: 20px;
}

ul.CTAs_den a {
  text-align: center;
  font-size: 0.9em !important;
  display: block;
  border-radius: 5px;
  margin-bottom: 5px;
}

a.download_den {
  background: #fff;
  color: #7386D5;
}

a.article_den, a.article_den:hover {
  background: #6d7fcc !important;
  color: #fff !important;
}

*/
/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */
#content_den {
  width: calc(-150%);
  padding: 40px;
  min-height: 100vh;
  transition: all 0.3s;
  position: absolute;
  top: 0;
  right: 0;
}
#content_den.active {
  width: 100%;
}
/* simple tree
https://www.cssscript.com/demo/folder-tree-json/
*/
.simple-tree {
  user-select: none;
  -moz-user-select: none;
}
.simple-tree details summary {
  display: none;
}
.simple-tree a,
.simple-tree summary {
  display: block;
  width: fit-content;
  width: -moz-fit-content;
  border: solid 1px transparent;
  padding: 0 2px;
  outline: none;
  cursor: pointer;
}
.simple-tree a {
  text-decoration: none;
  color: inherit;
}
.simple-tree ::-webkit-details-marker {
  display: none;
}
.simple-tree summary {
  list-style-type: none;
  background: #eee;
  outline: none;
}
.simple-tree details a,
.simple-tree details summary,
.simple-tree details {
  position: relative;
}
.simple-tree details,
.simple-tree a {
  margin-left: 5px;
}
.simple-tree details::before,
.simple-tree details > :not(details)::before {
  content: '';
  width: 10px;
  display: block;
  position: absolute;
  background: url('../img/dot.svg') left top / 2px 2px;
}
.simple-tree details::before {
  top: 0;
  height: 100%;
  background-repeat: repeat-y;
  left: 5px;
  z-index: -1;
}
.simple-tree details a ::before,
.simple-tree details summary::before {
  top: 8px;
  height: calc(92%);
  background-repeat: repeat-x;
  left: -15px;
}
.simple-tree details summary::before {
  background: url('../img/plus.svg') center center / 12px 12px no-repeat;
  left: -22px;
  top: 2px;
  width: 16px;
  height: 16px;
}
.simple-tree details[open] summary::before {
  background-image: url('../img/minus.svg');
}
/* select tree */
.select-tree .selected {
  background-color: #beebff;
  border-color: #99defd;
  z-index: 1;
}
.nodo-denuncia-sigla {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.nodo-albero-denuncia-con-avvisi-bloccanti {
  color: darkorange !important;
  font-weight: bold;
}
.nodo-albero-denuncia-con-avvisi-non-bloccanti {
  color: yellow !important;
}
.figli-albero-denuncia {
  margin-left: 10px;
}
.icona-soldo-ico_cantiere {
  width: 24px;
  height: 24px;
  display: inline-block;
  background: url(../img/edilnetexp/denuncia/ico_cantiere.png) 0 0;
}
.icona-soldo-ico_denuncia {
  width: 24px;
  height: 24px;
  display: inline-block;
  background: url(../img/edilnetexp/denuncia/ico_denuncia.png) 0 0;
}
.icona-soldo-ico_malattie {
  width: 24px;
  height: 24px;
  display: inline-block;
  background: url(../img/edilnetexp/denuncia/ico_malattie.png) 0 0;
}
.icona-soldo-ico_operaio_alert {
  width: 24px;
  height: 24px;
  display: inline-block;
  background: url(../img/edilnetexp/denuncia/ico_operaio_alert.gif) 0 0;
}
.icona-soldo-ico_operaio {
  width: 24px;
  height: 24px;
  display: inline-block;
  background: url(../img/edilnetexp/denuncia/ico_operaio.png) 0 0;
}
.iconaChiusuraAlberoDenuncia {
  margin-right: 3px !important;
  color: darkorange !important;
}
.albero-denuncia-class > ::-webkit-scrollbar {
  margin-top: 1px;
  height: 12px;
  width: 12px;
  background: #5658cd;
}
.albero-denuncia-class > ::-webkit-scrollbar-thumb {
  background: #000086;
  -webkit-border-radius: 1ex;
  -webkit-box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.75);
  border: 1px solid black;
}
.albero-denuncia-class > ::-webkit-scrollbar-corner {
  background: #000024;
}
.icona-impiegato {
  filter: brightness(0.5);
}
.force-white-text {
  color: white !important;
}



/* colors.less
 * Defines basic colors.
 */
html {
  font-size: 14px;
}
label {
  font-weight: normal !important;
}

/* colors.less
 * Defines basic colors.
 */
.tipo-numero {
  text-align: right;
}
.tipo-testo {
  text-align: left;
}
.custom-file-control {
  position: absolute;
  top: -0.1px;
  right: 0;
  left: 0;
  z-index: 5;
  height: 1.9rem;
  padding: 0 60px 0 0;
  line-height: 1.5;
  color: #464a4c;
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  background-color: #fff;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: .25rem;
  font-size: 0.8em;
}
.custom-file-input {
  min-width: 14rem;
  max-width: 100%;
  height: 2.5rem;
  margin: 0;
  filter: alpha(opacity=0);
  opacity: 0;
}
.custom-file {
  position: relative;
  display: inline-block;
  max-width: 100%;
  height: 2.5rem;
  margin-bottom: 0;
  cursor: pointer;
}
.custom-file-control::before {
  position: absolute;
  top: -1.5px;
  right: -1px;
  bottom: -1px;
  z-index: 6;
  display: block;
  height: 2.5rem;
  padding: .5rem 1rem;
  line-height: 1;
  color: #464a4c;
  background-color: #eceeef;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 0 .25rem .25rem 0;
  font-size: 0.8em;
}
.custom-file-control:lang(en)::before {
  content: "Scegli file";
}
.custom-file-control:lang(it)::before {
  content: "Scegli file";
}
.custom-input-content-config {
  padding: 0 0 0 3px;
  font-size: 16px;
  height: 26px;
}
label {
  margin-bottom: 0px;
}
.dropdown-menu-link {
  display: block;
  padding: 3px 20px;
  clear: both;
  font-weight: normal;
  line-height: 1.42857143;
  color: #333;
  white-space: nowrap;
}
.has-lookup {
  background-color: #e0ffff42;
}
.is-mandatory {
  background-color: transparent /*#e9e7ff*/;
}
@media screen and (min-width: 768px) {
  .inputSottoSceltazione {
    display: flex !important;
    flex-wrap: wrap;
    justify-content: flex-start;
  }
  .inputSottoSceltazione > * {
    display: block !important;
    padding: 0 4px 0 4px !important;
  }
}
.glyphicon-refresh-animate {
  -webkit-animation-name: rotateThis;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
}
@-webkit-keyframes rotateThis {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
  }
}
.customDatepickerButton {
  height: 19.2px;
}
.customSearchIconButton {
  height: 19.2px;
}
.customDatepickerButton .btn {
  font-size: 10px !important;
}
.customDatepickerButton button {
  padding: 0 4px !important;
}
.customSearchIconButton .btn {
  font-size: 10px !important;
}
.customSearchIconButton button {
  padding: 0 4px !important;
}
.nascondi {
  display: none !important;
}
.has-error textarea {
  border: 3px solid;
}
.has-warning input {
  border: 3px solid;
  border-color: #a94442;
  animation-name: flash_border;
  animation-duration: 1s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  -webkit-animation-name: flash_border;
  -webkit-animation-duration: 1s;
  -webkit-animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
  -moz-animation-name: flash_border;
  -moz-animation-duration: 1s;
  -moz-animation-timing-function: linear;
  -moz-animation-iteration-count: infinite;
}
td input-custom.has-warning {
  font-weight: bold;
  color: red;
  border: 1px solid red;
  display: block;
}
@keyframes flash_border {
  0% {
    border-color: #a94442;
  }
  50% {
    border-color: transparent;
  }
  100% {
    border-color: #a94442;
  }
}
@-webkit-keyframes flash_border {
  0% {
    border-color: #a94442;
  }
  50% {
    border-color: transparent;
  }
  100% {
    border-color: #a94442;
  }
}
@-moz-keyframes flash_border {
  0% {
    border-color: #a94442;
  }
  50% {
    border-color: transparent;
  }
  100% {
    border-color: #a94442;
  }
}
input[type=number] {
  text-align: right;
}
.input-tipo-numero {
  text-align: right;
}
.input-datepicker {
  display: flex;
}
.input-datepicker > span {
  margin-left: -18.6px;
}
.input-datepicker > span > button {
  background: none;
  border: none;
  padding: 0 !important;
}
.input-datepicker > span > button > i {
  margin-top: 3px;
}
.input-search-icon > span {
  margin-left: -18.6px;
}
.input-search-icon > span > button {
  background: none;
}
.input-search-icon > span > button > i {
  margin-top: 3px;
}
td input {
  width: 90% !important;
}
.has-error-btn {
  border-color: #a94442 !important;
  border: 3px solid;
}
.form-horizontal-testoSinistra .control-label {
  text-align: left;
  padding-left: 15px !important;
}
.textarea-responsive {
  width: 100% !important;
}
.textarea-responsive-2 textarea {
  width: 100% !important;
}
@media screen and (min-width: 768px) {
  .inputCustomCfp {
    padding-left: 3px;
  }
}
textarea {
  overflow-y: scroll !important;
  word-break: break-word !important;
}
textarea:read-only {
  overflow-y: scroll !important;
  word-break: break-word !important;
}
textarea:disabled {
  overflow-y: scroll !important;
  word-break: break-word !important;
}
.centraLabelEdInput * {
  text-align: center !important;
}
.custom-file-100w {
  width: 100%;
}
.label-scompagnata {
  font-size: 0.9em;
  font-weight: bold;
}
.textarea-confronto-csv textarea {
  overflow-x: scroll !important;
  white-space: pre !important;
}
.customDatepickerButton {
  margin-bottom: -13px !important;
}
.fixedLabels {
  margin-top: 0 !important;
}
.custom-file-input {
  opacity: 0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  z-index: 1;
}
.label-file-loaded {
  font-weight: bold;
  margin-top: 10px;
  display: inline-block;
}
.label-file-table-ellipsis {
  width: 20ch;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

/*
@media screen and (min-width: 768px) {
  .lookup > .primoElemento, .lookup > .nessunLookup {
    padding-right: 0;
  }
  .lookup > .primoElemento input {
    border-radius: 3px 0 0 3px !important;
    margin-left: -2px;
  }
  .lookup > .secondoElemento {
    padding-left: 0;
    border-radius: 0 3px 3px 0 !important;
    margin-left: -2px;
  }
  .lookup > .secondoElemento input {
    border-radius: 0 3px 3px 0 !important;
    border-left: none;
  }
  .lookup > .secondoElemento + *:first-child {
    margin-left: 4px;
  }
  .lookup > .nessunLookup input {
    margin-left: -2px;
  }
}
*/
/*@media screen and (min-width: 992px) {
  .lookup .primoElemento input {
    border-radius: 3px 0 0 3px !important;
    position: absolute;
    width: 100% !important;
    border-right: 0;
  }
  .lookup .secondoElemento input {
    border-radius: 0 3px 3px 0 !important;
  }
  .lookup .elementoDiMezzo input {
    border-radius: 0 !important;
    position: absolute;
    width: 100% !important;
    border-right: 0;
  }
}*/

.leaflet-control-fullscreen a {
  background-image: url(../img/map/map-fullscreen.png);
}
.awesome-marker {
  background-image: url(../img/map/markers-soft.png);
}
.awesome-marker-shadow {
  background-image: url(../img/map/markers-shadow.png);
}
/* Retina displays */
@media (min--moz-device-pixel-ratio: 1.5), (-o-min-device-pixel-ratio: 3/2), (-webkit-min-device-pixel-ratio: 1.5), (min-device-pixel-ratio: 1.5), (min-resolution: 1.5dppx) {
  .awesome-marker {
    background-image: url(../img/map/markers-soft@2x.png);
  }
  .awesome-marker-shadow {
    background-image: url(../img/map/markers-shadow@2x.png);
  }
}

/* colors.less
 * Defines basic colors.
 */

.pagination-azzera-margin {
  margin: 3px 0;
}
.pagination-xs > li > a,
.pagination-xs > li > span {
  padding: 5px 6px;
  font-size: 12px;
  line-height: 1.5;
}
.pagination-xs > li:first-child > a,
.pagination-xs > li:first-child > span {
  border-top-left-radius: 3px;
  border-bottom-left-radius: 3px;
}
.pagination-xs > li:last-child > a,
.pagination-xs > li:last-child > span {
  border-top-right-radius: 3px;
  border-bottom-right-radius: 3px;
}

table tbody td span {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
}
.lookup-result-row {
  cursor: pointer;
}
.cella-griglia-n-ricerca {
  /* vertical-align: bottom !important;
     border-bottom-width: 0 !important;*/
  border-bottom: 0;
  border-top: 0;
  border-bottom-color: rgba(0, 0, 0, 0);
  border-top-color: rgba(0, 0, 0, 0);
}
.table-first-column-not-striped {
  background-color: #f2f7ff;
}
.allineaAlCentro {
  margin: auto;
}
.adattaLarghezza {
  width: auto;
}
